## ejabberd-contrib 0.2020.02.03~dfsg0

=== ejabberd_auth_http/deps/fusco/Makefile ===
.PHONY: all release compile test clean rel doc build-plt dialyzer

PROJECT = fusco

REBAR := ./rebar
DIALYZER = dialyzer

APPS = kernel stdlib sasl inets ssl public_key crypto compiler

all: compile doc

compile:
	$(REBAR) compile

doc:
	$(REBAR) doc

test:	compile
	$(REBAR) eunit ct

release: all dialyze test
	$(REBAR) release

clean:
	$(REBAR) clean

build-plt: compile
	@$(DIALYZER) --build_plt --output_plt .$(PROJECT).plt \
		--apps $(APPS)

dialyzer:
	@$(DIALYZER) --fullpath  --src ./src \
		--plt .$(PROJECT).plt --no_native \
		-Werror_handling  #-Wrace_conditions

## ejabberd-contrib 0.2014.09.22

=== debian/changelog ===
ejabberd-contrib (0.2014.09.22-1) unstable; urgency=low

  * Initial release (Closes: #762456)

 -- Philipp Huebner <debalance@debian.org>  Mon, 22 Sep 2014 15:28:00 +0200

=== debian/control ===
Source: ejabberd-contrib
Section: net
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools
Standards-Version: 3.9.6
Homepage: https://github.com/processone/ejabberd-contrib
Vcs-Git: git://git.deb.at/pkg/ejabberd-contrib.git
Vcs-Browser: http://git.deb.at/w/pkg/ejabberd-contrib.git

Package: ejabberd-contrib
Architecture: any
Depends: erlang-base (>=17.1-dfsg-7) | ${erlang-abi:Depends}, ${erlang:Depends}, ${shlibs:Depends}, ${misc:Depends}, ejabberd (>=14.07-1)
Description: user-contributed modules for ejabberd
 ejabberd-contrib ships some user-contributed modules for ejabberd,
 a distributed, fault-tolerant Jabber/XMPP server written in Erlang.
 .
 Currently this package contains only the following modules, more might be
 included when requested:
  * mod_admin_extra
  * mod_muc_admin

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/ejabberd-contrib
EBIN=$(DESTDIR)/usr/lib/$(DPKG_CACHE_DEB_BUILD_MULTIARCH)/ejabberd/ebin

%:
	dh $@ 

override_dh_auto_build:
	cd mod_admin_extra && ./build.sh
	cd mod_muc_admin && ./build.sh
	dh_auto_build

override_dh_auto_install:
	mkdir -p $(EBIN)
	cp mod_admin_extra/ebin/mod_admin_extra.beam $(EBIN)/
	cp mod_muc_admin/ebin/mod_muc_admin.beam $(EBIN)/
	erlang-depends

override_dh_auto_clean:
	rm -f ejabberd-dev/ebin/gen_mod.beam
	rm -f mod_admin_extra/ebin/mod_admin_extra.beam
	rm -f mod_muc_admin/ebin/mod_muc_admin.beam

## ejabberd-contrib 0.2016.01.12~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2016.01.12~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.2016.01.12~dfsg0
  * Adjusted packaging to new ejabberd release (16.01)
  * Updated debian/copyright
  * Updated README.Debian

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Jan 2016 16:33:44 +0100

ejabberd-contrib (0.2015.10.26~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.10.26
  * Disabled building of mod_http_upload, it's now part of ejabberd
    (Closes: 803914)
  * Changed Maintainer to Ejabberd Packaging Team and listed myself as
    uploader

 -- Philipp Huebner <debalance@debian.org>  Tue, 03 Nov 2015 20:30:03 +0100

ejabberd-contrib (0.2015.10.02~dfsg0-1) unstable; urgency=medium

  * Upload to unstable

 -- Philipp Huebner <debalance@debian.org>  Thu, 08 Oct 2015 18:34:06 +0200

ejabberd-contrib (0.2015.10.02~dfsg0-1~exp2) experimental; urgency=medium

  * Renamed conflicting build-% target in debian/rules to fix FTBFS on buildds

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Oct 2015 16:54:22 +0200

ejabberd-contrib (0.2015.10.02~dfsg0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 0.2015.10.02~dfsg0
  * All modules not listed as currently broken in README-broken.md are
    built and installed into separate binary packages (Closes: #780674)
  * Only exception to the point above is ejabberd_auth_http
    (see debian/README.source)
  * ejabberd-contrib is now a meta package depending on all modules built
    by this source package

 -- Philipp Huebner <debalance@debian.org>  Sun, 04 Oct 2015 09:27:30 +0200

ejabberd-contrib (0.2014.09.22-2) unstable; urgency=medium

  [ Holger Weiss ]
  * Support Erlang/OTP 18.x (Closes: #791414)

 -- Philipp Huebner <debalance@debian.org>  Sat, 25 Jul 2015 13:42:54 +0200

=== debian/control ===
Source: ejabberd-contrib
Section: net
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@deb.at>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, ejabberd (>=16.01)
Standards-Version: 3.9.6
Homepage: https://github.com/processone/ejabberd-contrib
Vcs-Git: git://git.deb.at/pkg/ejabberd-contrib.git
Vcs-Browser: http://git.deb.at/w/pkg/ejabberd-contrib.git

Package: ejabberd-contrib
Architecture: all
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
 ejabberd (>=${ejabberd}),
# ejabberd-mod-auth-http,
 ejabberd-mod-cron,
 ejabberd-mod-log-chat,
 ejabberd-mod-logsession,
 ejabberd-mod-logxml,
 ejabberd-mod-mam-mnesia,
 ejabberd-mod-message-log,
 ejabberd-mod-muc-log-http,
 ejabberd-mod-post-log,
 ejabberd-mod-rest,
 ejabberd-mod-s2s-log,
 ejabberd-mod-shcommands,
 ejabberd-mod-statsdx,
 ejabberd-mod-webpresence
Description: user-contributed modules for ejabberd (metapackage)
 This package depends on all available modules from ejabberd-contrib,
 but doesn't do or add anything itself.
 .
 This is a pure metapackage.

#Package: ejabberd-mod-auth-http
#Architecture: any
#Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
#Description: authenticate against an external REST API
# This module allows ejabberd to authenticate user accounts against an external
# REST API. This module is useful if you have a central user database you want
# to share with ejabberd.

Package: ejabberd-mod-cron
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: execute scheduled commands
 This module allows advanced ejabberd administrators to schedule commands for
 periodic and automatic execution. Each time a scheduled task finishes its
 execution, a message is printed in the ejabberd log file.

#Package: ejabberd-mod-http-upload
#Architecture: any
#Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
#Description: HTTP File Upload (XEP-0363)
# This module allows for requesting permissions to upload a file via HTTP.
# If the request is accepted, the client receives a URL to use for uploading
# the file and another URL from which that file can later be downloaded.

Package: ejabberd-mod-log-chat
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: logs chat messages to text or html
 mod_log_chat is an ejabberd module aimed at logging chat messages in
 text files. mod_log_chat creates one file per couple of chatters and
 per day (it doesn't log muc messages, use mod_muc_log for this).
 .
 It can store messages in plain text or HTML format.

Package: ejabberd-mod-logsession
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: logs session connections to a text file
 This module is intended to log the session connections in a text file.
 Right now it only logs the forbidden connection attempts and the
 failed authentication attempts.
 .
 Each vhost is logged in a different file.

Package: ejabberd-mod-logxml
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: logs XMPP packets to an XML file
 This module sniffs all the XMPP traffic sent and received by ejabberd,
 both internally and externally transmitted. It logs the XMPP packets
 to an XML formatted file. It's possible to filter transmitted packets
 by orientation, stanza and direction. It's possible to configure the
 file rotation rules and intervals.

Package: ejabberd-mod-mam-mnesia
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: Message Archive Management (XEP-0313) support
 This module implements XEP-0313: Message Archive Management (MAM).
 MAM provides server-side storage of messages, which allows for proper
 synchronization of multiple clients.

Package: ejabberd-mod-message-log
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: writes a line for each message to a log file
 This module writes a line for each sent or received message to a log file.
 Each line mentions the sender's JID and the recipient's JID, and also the
 message type (e.g., "normal", "chat", or "groupchat").  Carbon copies are
 marked as such.

Package: ejabberd-mod-muc-log-http
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: serves MUC logs on the web
 This module serves the directory containing MUC logs already configured on
 mod_muc_log. This way there is no need to set up a separate web server to
 allow your users to view the MUC logs.  It is a small modification of
 mod_http_fileserver, customized for log serving.

Package: ejabberd-mod-post-log
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: logs all messages to an HTTP API
 This module implements logging of all messages sent (chat and groupchat) via
 an HTTP API.
 Simply activate the module in ejabberd.yml after installation, see the included
 README.txt for further information.

Package: ejabberd-mod-rest
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: HTTP interface to POST arbitrary stanzas to ejabberd
 This is an ejabberd module that adds an HTTP handler that allows HTTP
 clients to literally post arbitrary message stanzas to ejabberd. Those
 stanzas then get shoved through ejabberd's router just like any other
 stanza.
 .
 This module can also be used as a frontend to execute ejabberd commands.

Package: ejabberd-mod-s2s-log
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: logs XMPP s2s connections
 This module can be used to keep a track of other XMPP servers your server has
 been connected with.
 Simply activate the module in ejabberd.yml after installation, see the included
 README.txt for further information.

Package: ejabberd-mod-shcommands
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: execute shell commands via XMPP (dangerous!)
 WARNING: USE THIS MODULE AT YOUR OWN RISK !!!
 This module allows ejabberd administrators to remotely execute shell commands 
 which could compromise both the ejabberd server and the whole machine.
 .
 This module provides the ejabberd server administrator a method to remotely
 execute shell commands through the ejabberd server.
 .
 It provides a page in the ejabberd Web Admin which only the administrators of
 the whole server can access.
 .
 Three types of commands are possible:
  * ejabberd_ctl: makes a call to ejabberd_ctl;
  * erlang shell: executes an erlang command;
  * system shell: executes a command on the system shell.
 The result of the execution will be shown.
 .
 In the system shell, only non-interactive commands will work correctly, 
 for example this will work:
  ps -all
 Don't use commands that start an interactive mode:
 DON'T TRY THIS: top
 DON'T TRY THIS: vim readme.txt
 .
 This module does not check if the commands are dangerous or problematic,
 so this module is only recommended for experienced ejabberd and Erlang/OTP
 administrators. USE THIS MODULE AT YOUR OWN RISK !!!

Package: ejabberd-mod-statsdx
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: calculates and gathers statistics actively
 This module measures several statistics. It provides a new section in
 ejabberd Web Admin and two ejabberd commands to view the information.
 Simply activate the module in ejabberd.yml after installation, see the included
 README.txt for further information.

Package: ejabberd-mod-webpresence
Architecture: any
Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
Description: allows any local ejabberd user to publish his presence information
 This module allows any local user of the ejabberd server to publish his
 presence information on the web.
 This module is the succesor of Igor Goryachev's mod_presence.
 .
 Allowed output methods are:
  * icons (various themes available);
  * status text;
  * raw XML;
  * avatar, stored in the user's vCard.
 .
 No web server, database, additional libraries or programs are required.

=== debian/rules ===
#!/usr/bin/make -f
DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

BIN_PACKAGES=$(shell grep ^Package: debian/control  | sed 's/^Package: //' | grep -v ejabberd-contrib)
EJABBERDDIR=$(shell basename `find /usr/lib -type d -path "*/ejabberd-[0-9][0-9].[0-9][0-9]"`)
EJABBERDVER=$(shell dpkg-query --show --showformat '$${Version;-10}' ejabberd | cut -d '-' -f 1)

#ejabberd-mod-auth-http_BUILD_PATH=ejabberd_auth_http/
ejabberd-mod-cron_BUILD_PATH=mod_cron/
#ejabberd-mod-http-upload_BUILD_PATH=mod_http_upload/
ejabberd-mod-log-chat_BUILD_PATH=mod_log_chat/
ejabberd-mod-logsession_BUILD_PATH=mod_logsession/
ejabberd-mod-logxml_BUILD_PATH=mod_logxml/
ejabberd-mod-mam-mnesia_BUILD_PATH=mod_mam_mnesia/
ejabberd-mod-message-log_BUILD_PATH=mod_message_log/
ejabberd-mod-muc-log-http_BUILD_PATH=mod_muc_log_http/
ejabberd-mod-post-log_BUILD_PATH=mod_post_log/
ejabberd-mod-rest_BUILD_PATH=mod_rest/
ejabberd-mod-s2s-log_BUILD_PATH=mod_s2s_log/
ejabberd-mod-shcommands_BUILD_PATH=mod_shcommands/
ejabberd-mod-statsdx_BUILD_PATH=mod_statsdx/
ejabberd-mod-webpresence_BUILD_PATH=mod_webpresence/

%:
	dh $@ 

compile-%:
	mkdir ${$*_BUILD_PATH}ebin
	cd ${$*_BUILD_PATH} && erlc -o ebin -I /usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/include -DLAGER \
		-pa /usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin/ src/*.erl

override_dh_auto_build: $(BIN_PACKAGES:%=compile-%)

module-install-%:
	mkdir -p debian/$*/usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin
	mkdir -p debian/$*/usr/share/doc/$*
	mv -v ${$*_BUILD_PATH}ebin/*.beam debian/$*/usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin/
	debian/dh_moduleupdate $*
	if [ -f ${$*_BUILD_PATH}ChangeLog ]; then cp ${$*_BUILD_PATH}ChangeLog debian/$*/usr/share/doc/$*/changelog; fi
	if [ -d ${$*_BUILD_PATH}conf ];	then cp -a ${$*_BUILD_PATH}conf debian/$*/usr/share/doc/$*/; fi
	if [ -f ${$*_BUILD_PATH}README.* ]; then cp -v ${$*_BUILD_PATH}README.* debian/$*/usr/share/doc/$*/; fi
	if [ -f ${$*_BUILD_PATH}TODO* ]; then cp -v ${$*_BUILD_PATH}TODO* debian/$*/usr/share/doc/$*/; fi

override_dh_auto_install: $(BIN_PACKAGES:%=module-install-%)
	echo "ejabberd=$(EJABBERDVER)" > $(CURDIR)/debian/substvars
	erlang-depends
	dh_auto_install

override_dh_gencontrol:
	dh_gencontrol -- -T$(CURDIR)/debian/substvars

override_dh_installdeb:
	dh_installdeb
	rm -f debian/ejabberd-contrib/DEBIAN/postinst

override_dh_auto_clean:
	rm -rf */ebin debian/substvars
	dh_auto_clean

## ejabberd-contrib 0.2016.08.01~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2016.08.01~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.2016.08.01~dfsg0

 -- Philipp Huebner <debalance@debian.org>  Mon, 08 Aug 2016 13:58:09 +0200

ejabberd-contrib (0.2016.06.29~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.2016.06.29~dfsg0
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Added ejabberd-mod-pottymouth

 -- Philipp Huebner <debalance@debian.org>  Sun, 03 Jul 2016 13:17:28 +0200

ejabberd-contrib (0.2016.04.11~dfsg0-2) unstable; urgency=medium

  * Build against ejabberd 16.03

 -- Philipp Huebner <debalance@debian.org>  Wed, 13 Apr 2016 08:14:24 +0200

ejabberd-contrib (0.2016.04.11~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.2016.04.11~dfsg0

 -- Philipp Huebner <debalance@debian.org>  Tue, 12 Apr 2016 14:10:42 +0200

ejabberd-contrib (0.2016.03.24~dfsg0-1) unstable; urgency=high

  * Imported Upstream version 0.2016.03.24~dfsg0 (Closes: #819219)
  * Dropped obsolete patch for mod_cron
  * mod_mam_mnesia has been declared deprecated and removed by upstream
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Mar 2016 11:27:11 +0100

ejabberd-contrib (0.2016.03.02~dfsg0-1) unstable; urgency=medium

  * Imported Upstream version 0.2016.03.02~dfsg0
  * Build-depend on rebar >= 2.6.0
  * Added patch to correct include of fast_xml in mod_cron/src/mod_cron.erl
  * Updated Standards-Version: 3.9.7 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Mar 2016 18:10:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@deb.at>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, ejabberd (>=16.01)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, ejabberd (>= 16.08), rebar (>= 2.6.0)
+Standards-Version: 3.9.8
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: git://git.deb.at/pkg/ejabberd-contrib.git
 Vcs-Browser: http://git.deb.at/w/pkg/ejabberd-contrib.git
@@ -13,15 +13,14 @@
 Architecture: all
 Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
  ejabberd (>=${ejabberd}),
-# ejabberd-mod-auth-http,
  ejabberd-mod-cron,
  ejabberd-mod-log-chat,
  ejabberd-mod-logsession,
  ejabberd-mod-logxml,
- ejabberd-mod-mam-mnesia,
  ejabberd-mod-message-log,
  ejabberd-mod-muc-log-http,
  ejabberd-mod-post-log,
+ ejabberd-mod-pottymouth,
  ejabberd-mod-rest,
  ejabberd-mod-s2s-log,
  ejabberd-mod-shcommands,
@@ -48,14 +47,6 @@
  This module allows advanced ejabberd administrators to schedule commands for
  periodic and automatic execution. Each time a scheduled task finishes its
  execution, a message is printed in the ejabberd log file.
-
-#Package: ejabberd-mod-http-upload
-#Architecture: any
-#Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
-#Description: HTTP File Upload (XEP-0363)
-# This module allows for requesting permissions to upload a file via HTTP.
-# If the request is accepted, the client receives a URL to use for uploading
-# the file and another URL from which that file can later be downloaded.
 
 Package: ejabberd-mod-log-chat
 Architecture: any
@@ -87,14 +78,6 @@
  by orientation, stanza and direction. It's possible to configure the
  file rotation rules and intervals.
 
-Package: ejabberd-mod-mam-mnesia
-Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
-Description: Message Archive Management (XEP-0313) support
- This module implements XEP-0313: Message Archive Management (MAM).
- MAM provides server-side storage of messages, which allows for proper
- synchronization of multiple clients.
-
 Package: ejabberd-mod-message-log
 Architecture: any
 Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
@@ -121,6 +104,16 @@
  an HTTP API.
  Simply activate the module in ejabberd.yml after installation, see the included
  README.txt for further information.
+
+Package: ejabberd-mod-pottymouth
+Architecture: any
+Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Description: filter for ejabberd messages using blacklists
+ The 'mod_pottymouth' ejabberd module aims to fill the void left by 'mod_shit'
+ which has disappeared from the net. It allows individual whole words of a
+ message to be filtered against a blacklist. It allows multiple blacklists
+ sharded by language. To make use of this module the client must add the
+ xml:lang attribute to the message xml.
 
 Package: ejabberd-mod-rest
 Architecture: any

## ejabberd-contrib 0.2016.09.12~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2016.09.12~dfsg0-2~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Wed, 15 Mar 2017 10:13:06 +0100

ejabberd-contrib (0.2016.09.12~dfsg0-2) unstable; urgency=medium

  * Corrected typo in debian/control
  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:46:41 +0200

ejabberd-contrib (0.2016.09.12~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2016.09.12~dfsg0

 -- Philipp Huebner <debalance@debian.org>  Thu, 22 Sep 2016 15:05:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@deb.at>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, ejabberd (>= 16.08), rebar (>= 2.6.0)
+Build-Depends: debhelper (>= 9), erlang-base (>= 1:17.3), erlang-dev (>= 1:17.3), erlang-tools, ejabberd (>= 16.09), rebar (>= 2.6.0)
 Standards-Version: 3.9.8
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: git://git.deb.at/pkg/ejabberd-contrib.git
@@ -11,7 +11,7 @@
 
 Package: ejabberd-contrib
 Architecture: all
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
  ejabberd (>=${ejabberd}),
  ejabberd-mod-cron,
  ejabberd-mod-log-chat,
@@ -34,7 +34,7 @@
 
 #Package: ejabberd-mod-auth-http
 #Architecture: any
-#Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+#Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 #Description: authenticate against an external REST API
 # This module allows ejabberd to authenticate user accounts against an external
 # REST API. This module is useful if you have a central user database you want
@@ -42,7 +42,7 @@
 
 Package: ejabberd-mod-cron
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: execute scheduled commands
  This module allows advanced ejabberd administrators to schedule commands for
  periodic and automatic execution. Each time a scheduled task finishes its
@@ -50,7 +50,7 @@
 
 Package: ejabberd-mod-log-chat
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs chat messages to text or html
  mod_log_chat is an ejabberd module aimed at logging chat messages in
  text files. mod_log_chat creates one file per couple of chatters and
@@ -60,7 +60,7 @@
 
 Package: ejabberd-mod-logsession
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs session connections to a text file
  This module is intended to log the session connections in a text file.
  Right now it only logs the forbidden connection attempts and the
@@ -70,7 +70,7 @@
 
 Package: ejabberd-mod-logxml
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs XMPP packets to an XML file
  This module sniffs all the XMPP traffic sent and received by ejabberd,
  both internally and externally transmitted. It logs the XMPP packets
@@ -80,7 +80,7 @@
 
 Package: ejabberd-mod-message-log
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: writes a line for each message to a log file
  This module writes a line for each sent or received message to a log file.
  Each line mentions the sender's JID and the recipient's JID, and also the
@@ -89,7 +89,7 @@
 
 Package: ejabberd-mod-muc-log-http
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: serves MUC logs on the web
  This module serves the directory containing MUC logs already configured on
  mod_muc_log. This way there is no need to set up a separate web server to
@@ -98,7 +98,7 @@
 
 Package: ejabberd-mod-post-log
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs all messages to an HTTP API
  This module implements logging of all messages sent (chat and groupchat) via
  an HTTP API.
@@ -107,7 +107,7 @@
 
 Package: ejabberd-mod-pottymouth
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: filter for ejabberd messages using blacklists
  The 'mod_pottymouth' ejabberd module aims to fill the void left by 'mod_shit'
  which has disappeared from the net. It allows individual whole words of a
@@ -117,7 +117,7 @@
 
 Package: ejabberd-mod-rest
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: HTTP interface to POST arbitrary stanzas to ejabberd
  This is an ejabberd module that adds an HTTP handler that allows HTTP
  clients to literally post arbitrary message stanzas to ejabberd. Those
@@ -128,7 +128,7 @@
 
 Package: ejabberd-mod-s2s-log
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs XMPP s2s connections
  This module can be used to keep a track of other XMPP servers your server has
  been connected with.
@@ -137,7 +137,7 @@
 
 Package: ejabberd-mod-shcommands
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: execute shell commands via XMPP (dangerous!)
  WARNING: USE THIS MODULE AT YOUR OWN RISK !!!
  This module allows ejabberd administrators to remotely execute shell commands 
@@ -168,7 +168,7 @@
 
 Package: ejabberd-mod-statsdx
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: calculates and gathers statistics actively
  This module measures several statistics. It provides a new section in
  ejabberd Web Admin and two ejabberd commands to view the information.
@@ -177,11 +177,11 @@
 
 Package: ejabberd-mod-webpresence
 Architecture: any
-Depends: erlang-base (>= 1:15.b) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: allows any local ejabberd user to publish his presence information
  This module allows any local user of the ejabberd server to publish his
  presence information on the web.
- This module is the succesor of Igor Goryachev's mod_presence.
+ This module is the successor of Igor Goryachev's mod_presence.
  .
  Allowed output methods are:
   * icons (various themes available);

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,14 @@
 EJABBERDDIR=$(shell basename `find /usr/lib -type d -path "*/ejabberd-[0-9][0-9].[0-9][0-9]"`)
 EJABBERDVER=$(shell dpkg-query --show --showformat '$${Version;-10}' ejabberd | cut -d '-' -f 1)
 
-#ejabberd-mod-auth-http_BUILD_PATH=ejabberd_auth_http/
 ejabberd-mod-cron_BUILD_PATH=mod_cron/
-#ejabberd-mod-http-upload_BUILD_PATH=mod_http_upload/
 ejabberd-mod-log-chat_BUILD_PATH=mod_log_chat/
 ejabberd-mod-logsession_BUILD_PATH=mod_logsession/
 ejabberd-mod-logxml_BUILD_PATH=mod_logxml/
-ejabberd-mod-mam-mnesia_BUILD_PATH=mod_mam_mnesia/
 ejabberd-mod-message-log_BUILD_PATH=mod_message_log/
 ejabberd-mod-muc-log-http_BUILD_PATH=mod_muc_log_http/
 ejabberd-mod-post-log_BUILD_PATH=mod_post_log/
+ejabberd-mod-pottymouth_BUILD_PATH=mod_pottymouth/
 ejabberd-mod-rest_BUILD_PATH=mod_rest/
 ejabberd-mod-s2s-log_BUILD_PATH=mod_s2s_log/
 ejabberd-mod-shcommands_BUILD_PATH=mod_shcommands/
@@ -28,15 +26,15 @@
 
 compile-%:
 	mkdir ${$*_BUILD_PATH}ebin
-	cd ${$*_BUILD_PATH} && erlc -o ebin -I /usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/include -DLAGER \
-		-pa /usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin/ src/*.erl
+	cd ${$*_BUILD_PATH} && erlc -o ebin -I /usr/lib/$(DEB_HOST_MULTIARCH)/$(EJABBERDDIR)/include -DLAGER \
+		-pa /usr/lib/$(DEB_HOST_MULTIARCH)/$(EJABBERDDIR)/ebin/ src/*.erl
 
 override_dh_auto_build: $(BIN_PACKAGES:%=compile-%)
 
 module-install-%:
-	mkdir -p debian/$*/usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin
+	mkdir -p debian/$*/usr/lib/$(DEB_HOST_MULTIARCH)/$(EJABBERDDIR)/ebin
 	mkdir -p debian/$*/usr/share/doc/$*
-	mv -v ${$*_BUILD_PATH}ebin/*.beam debian/$*/usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin/
+	mv -v ${$*_BUILD_PATH}ebin/*.beam debian/$*/usr/lib/$(DEB_HOST_MULTIARCH)/$(EJABBERDDIR)/ebin/
 	debian/dh_moduleupdate $*
 	if [ -f ${$*_BUILD_PATH}ChangeLog ]; then cp ${$*_BUILD_PATH}ChangeLog debian/$*/usr/share/doc/$*/changelog; fi
 	if [ -d ${$*_BUILD_PATH}conf ];	then cp -a ${$*_BUILD_PATH}conf debian/$*/usr/share/doc/$*/; fi

## ejabberd-contrib 0.2017.07.17~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2017.07.17~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2017.07.17~dfsg0
  * Re-enabled building of ejabberd-mod-muc-log-http

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Jul 2017 12:15:31 +0200

ejabberd-contrib (0.2017.07.06~dfsg0-1) unstable; urgency=medium

  * Bumped erlang-base to >= 1:17
  * New upstream version 0.2017.07.06~dfsg0
  * Added patch to fix includes for xmpp.hrl
  * Disabled building of ejabberd-mod-muc-log-http, need upstream to fix it
    (https://github.com/processone/ejabberd-contrib/issues/221)

 -- Philipp Huebner <debalance@debian.org>  Fri, 14 Jul 2017 13:28:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@deb.at>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), erlang-base (>= 1:17.3), erlang-dev (>= 1:17.3), erlang-tools, ejabberd (>= 16.09), rebar (>= 2.6.0)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 17.07), rebar (>= 2.6.0)
+Standards-Version: 4.0.0
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: git://git.deb.at/pkg/ejabberd-contrib.git
 Vcs-Browser: http://git.deb.at/w/pkg/ejabberd-contrib.git
 
 Package: ejabberd-contrib
 Architecture: all
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ${misc:Depends},
  ejabberd (>=${ejabberd}),
  ejabberd-mod-cron,
  ejabberd-mod-log-chat,
@@ -34,7 +34,7 @@
 
 #Package: ejabberd-mod-auth-http
 #Architecture: any
-#Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+#Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 #Description: authenticate against an external REST API
 # This module allows ejabberd to authenticate user accounts against an external
 # REST API. This module is useful if you have a central user database you want
@@ -42,7 +42,7 @@
 
 Package: ejabberd-mod-cron
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: execute scheduled commands
  This module allows advanced ejabberd administrators to schedule commands for
  periodic and automatic execution. Each time a scheduled task finishes its
@@ -50,7 +50,7 @@
 
 Package: ejabberd-mod-log-chat
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs chat messages to text or html
  mod_log_chat is an ejabberd module aimed at logging chat messages in
  text files. mod_log_chat creates one file per couple of chatters and
@@ -60,7 +60,7 @@
 
 Package: ejabberd-mod-logsession
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs session connections to a text file
  This module is intended to log the session connections in a text file.
  Right now it only logs the forbidden connection attempts and the
@@ -70,7 +70,7 @@
 
 Package: ejabberd-mod-logxml
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs XMPP packets to an XML file
  This module sniffs all the XMPP traffic sent and received by ejabberd,
  both internally and externally transmitted. It logs the XMPP packets
@@ -80,7 +80,7 @@
 
 Package: ejabberd-mod-message-log
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: writes a line for each message to a log file
  This module writes a line for each sent or received message to a log file.
  Each line mentions the sender's JID and the recipient's JID, and also the
@@ -89,7 +89,7 @@
 
 Package: ejabberd-mod-muc-log-http
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: serves MUC logs on the web
  This module serves the directory containing MUC logs already configured on
  mod_muc_log. This way there is no need to set up a separate web server to
@@ -98,7 +98,7 @@
 
 Package: ejabberd-mod-post-log
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs all messages to an HTTP API
  This module implements logging of all messages sent (chat and groupchat) via
  an HTTP API.
@@ -107,7 +107,7 @@
 
 Package: ejabberd-mod-pottymouth
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: filter for ejabberd messages using blacklists
  The 'mod_pottymouth' ejabberd module aims to fill the void left by 'mod_shit'
  which has disappeared from the net. It allows individual whole words of a
@@ -117,7 +117,7 @@
 
 Package: ejabberd-mod-rest
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: HTTP interface to POST arbitrary stanzas to ejabberd
  This is an ejabberd module that adds an HTTP handler that allows HTTP
  clients to literally post arbitrary message stanzas to ejabberd. Those
@@ -128,7 +128,7 @@
 
 Package: ejabberd-mod-s2s-log
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: logs XMPP s2s connections
  This module can be used to keep a track of other XMPP servers your server has
  been connected with.
@@ -137,7 +137,7 @@
 
 Package: ejabberd-mod-shcommands
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: execute shell commands via XMPP (dangerous!)
  WARNING: USE THIS MODULE AT YOUR OWN RISK !!!
  This module allows ejabberd administrators to remotely execute shell commands 
@@ -168,7 +168,7 @@
 
 Package: ejabberd-mod-statsdx
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: calculates and gathers statistics actively
  This module measures several statistics. It provides a new section in
  ejabberd Web Admin and two ejabberd commands to view the information.
@@ -177,7 +177,7 @@
 
 Package: ejabberd-mod-webpresence
 Architecture: any
-Depends: erlang-base (>= 1:17.3) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
+Depends: erlang-base (>= 1:17) | ${erlang-abi:Depends}, ${erlang:Depends}, ejabberd (>=${ejabberd}), ${misc:Depends}
 Description: allows any local ejabberd user to publish his presence information
  This module allows any local user of the ejabberd server to publish his
  presence information on the web.

## ejabberd-contrib 0.2017.10.11~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2017.10.11~dfsg0-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Tue, 17 Oct 2017 18:02:36 +0200

ejabberd-contrib (0.2017.10.11~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2017.10.11~dfsg0
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 11 Oct 2017 13:24:30 +0200

ejabberd-contrib (0.2017.08.15~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2017.08.15~dfsg0

 -- Philipp Huebner <debalance@debian.org>  Sun, 10 Sep 2017 18:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ejabberd Packaging Team <ejabberd@deb.at>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 17.07), rebar (>= 2.6.0)
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 9), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 17.08), rebar (>= 2.6.0)
+Standards-Version: 4.1.1
 Homepage: https://github.com/processone/ejabberd-contrib
 Vcs-Git: git://git.deb.at/pkg/ejabberd-contrib.git
 Vcs-Browser: http://git.deb.at/w/pkg/ejabberd-contrib.git

## ejabberd-contrib 0.2018.01.12~dfsg0

=== debian/changelog ===
ejabberd-contrib (0.2018.01.12~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.2018.01.12~dfsg0
  * Build for ejabberd 18.01

 -- Philipp Huebner <debalance@debian.org>  Sat, 13 Jan 2018 14:52:16 +0100

ejabberd-contrib (0.2017.10.11~dfsg0-3) unstable; urgency=medium

  * Rebuild for ejabberd 17.12
  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)
  * Removed debian/source/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 14:19:55 +0100

ejabberd-contrib (0.2017.10.11~dfsg0-2) unstable; urgency=medium

  * Rebuild for ejabberd 17.11

 -- Philipp Huebner <debalance@debian.org>  Tue, 28 Nov 2017 17:30:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ejabberd-contrib
 Section: net
 Priority: optional
-Maintainer: Ejabberd Packaging Team <ejabberd@deb.at>
+Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
 Uploaders: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 17.08), rebar (>= 2.6.0)
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 9), erlang-base, erlang-dev, erlang-tools, ejabberd (>= 18.01), rebar (>= 2.6.0)
+Standards-Version: 4.1.3
 Homepage: https://github.com/processone/ejabberd-contrib
-Vcs-Git: git://git.deb.at/pkg/ejabberd-contrib.git
-Vcs-Browser: http://git.deb.at/w/pkg/ejabberd-contrib.git
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib.git
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/ejabberd-contrib
 
 Package: ejabberd-contrib
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,15 +26,15 @@
 
 compile-%:
 	mkdir ${$*_BUILD_PATH}ebin
-	cd ${$*_BUILD_PATH} && erlc -o ebin -I /usr/lib/$(DEB_HOST_MULTIARCH)/$(EJABBERDDIR)/include -DLAGER \
-		-pa /usr/lib/$(DEB_HOST_MULTIARCH)/$(EJABBERDDIR)/ebin/ src/*.erl
+	cd ${$*_BUILD_PATH} && erlc -o ebin -I /usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/include -DLAGER \
+		-pa /usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin/ src/*.erl
 
 override_dh_auto_build: $(BIN_PACKAGES:%=compile-%)
 
 module-install-%:
-	mkdir -p debian/$*/usr/lib/$(DEB_HOST_MULTIARCH)/$(EJABBERDDIR)/ebin
+	mkdir -p debian/$*/usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin
 	mkdir -p debian/$*/usr/share/doc/$*
-	mv -v ${$*_BUILD_PATH}ebin/*.beam debian/$*/usr/lib/$(DEB_HOST_MULTIARCH)/$(EJABBERDDIR)/ebin/
+	mv -v ${$*_BUILD_PATH}ebin/*.beam debian/$*/usr/lib/$(DEB_TARGET_MULTIARCH)/$(EJABBERDDIR)/ebin/
 	debian/dh_moduleupdate $*
 	if [ -f ${$*_BUILD_PATH}ChangeLog ]; then cp ${$*_BUILD_PATH}ChangeLog debian/$*/usr/share/doc/$*/changelog; fi
 	if [ -d ${$*_BUILD_PATH}conf ];	then cp -a ${$*_BUILD_PATH}conf debian/$*/usr/share/doc/$*/; fi
